- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ScalarBar File Reference

`#include <osgSim/Export>`
`#include <osgSim/ColorRange>`
`#include <osg/Geode>`
`#include <string>`

Include dependency graph for ScalarBar:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgSim
## Classes
class | osgSim::ScalarBar
| A ScalarBar is an osg::Geode to render a colored bar representing a range of scalars. More...
struct | osgSim::ScalarBar::ScalarPrinter
| Users may provide their own ScalarPrinter by deriving from this base class and overriding the printScalar() method. More...
struct | osgSim::ScalarBar::TextProperties
| TextProperties allows users to specify a number of properties for the text used to display the labels & title on the ScalarBar. More...
## Defines
#define | OSGSIM_SCALARBAR 1

## Define Documentation

#define OSGSIM_SCALARBAR 1